# List note templates

```
GET 
/note-settings/templates
```

List note templates available to the current user for note generation.

## Responses[​](#responses "Direct link to Responses")

* 200

Available templates.

## Operation spec

```json
{
  "method": "get",
  "path": "/note-settings/templates",
  "operationId": "list-note-settings-templates",
  "responses": {
    "200": {
      "description": "Available templates.",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "required": [
              "templates"
            ],
            "properties": {
              "templates": {
                "type": "array",
                "description": "Templates available to the current user for note generation.",
                "items": {
                  "type": "object",
                  "required": [
                    "key",
                    "title",
                    "description"
                  ],
                  "properties": {
                    "key": {
                      "type": "string",
                      "description": "Human-readable identifier for this template."
                    },
                    "title": {
                      "type": "string",
                      "description": "The title for the template in the user's locale."
                    },
                    "description": {
                      "type": "string",
                      "description": "The description for the template in the user's locale."
                    }
                  },
                  "title": "note_settings_template_summary"
                }
              }
            },
            "title": "note_settings_templates_list_response"
          }
        }
      }
    }
  }
}
```
